From: "Craig Andrews" <candrews@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/kodi-visualization-waveform/
Date: Thu, 13 Aug 2020 20:50:50 +0000 (UTC) [thread overview]
Message-ID: <1597351841.d7a9bcbbf6220c94b21b7933b97acc53771a7346.candrews@gentoo> (raw)
commit: d7a9bcbbf6220c94b21b7933b97acc53771a7346
Author: Karlson2k (Evgeny Grin) <k2k <AT> narod <DOT> ru>
AuthorDate: Sun Aug 2 10:13:03 2020 +0000
Commit: Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 20:50:41 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7a9bcbb
media-plugins/kodi-visualization-waveform: fixed build, licence
Signed-off-by: Karlson2k (Evgeny Grin) <k2k <AT> narod.ru>
Closes: https://github.com/gentoo/gentoo/pull/16952
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>
.../kodi-visualization-waveform-3.1.1.ebuild | 28 ++++++++++++----------
.../kodi-visualization-waveform-4.2.0.ebuild | 28 ++++++++++++----------
.../kodi-visualization-waveform-9999.ebuild | 28 ++++++++++++----------
.../kodi-visualization-waveform/metadata.xml | 1 -
4 files changed, 45 insertions(+), 40 deletions(-)
diff --git a/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-3.1.1.ebuild b/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-3.1.1.ebuild
index 97b415b36b2..3086c42e507 100644
--- a/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-3.1.1.ebuild
+++ b/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-3.1.1.ebuild
@@ -3,41 +3,43 @@
EAPI=7
-inherit cmake kodi-addon
+inherit kodi-addon
DESCRIPTION="Waveform visualizer for Kodi"
HOMEPAGE="https://github.com/xbmc/visualization.waveform"
-SRC_URI=""
+KODI_PLUGIN_NAME="visualization.waveform"
case ${PV} in
9999)
SRC_URI=""
- EGIT_REPO_URI="https://github.com/xbmc/visualization.waveform.git"
+ EGIT_REPO_URI="https://github.com/xbmc/${KODI_PLUGIN_NAME}.git"
inherit git-r3
+ DEPEND="~media-tv/kodi-9999"
;;
*)
CODENAME="Leia"
KEYWORDS="~amd64 ~x86"
- SRC_URI="https://github.com/xbmc/visualization.waveform/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/visualization.waveform-${PV}-${CODENAME}"
+ SRC_URI="https://github.com/xbmc/${KODI_PLUGIN_NAME}/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${KODI_PLUGIN_NAME}-${PV}-${CODENAME}"
+ DEPEND="=media-tv/kodi-18*:="
;;
esac
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
SLOT="0"
IUSE=""
-DEPEND="
- =media-tv/kodi-18*
+DEPEND+="
+ >=media-libs/glm-0.9.9.8-r1
virtual/opengl
- media-libs/glm
"
-RDEPEND="
- ${DEPEND}
- "
+RDEPEND="${DEPEND}"
+
+BDEPEND="virtual/pkgconfig"
src_prepare() {
- [ -d depends ] && rm -rf depends || die
+ if [ -d depends ]; then rm -rf depends || die; fi
+
cmake_src_prepare
}
diff --git a/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-4.2.0.ebuild b/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-4.2.0.ebuild
index 718526a3af0..55c275ff5f4 100644
--- a/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-4.2.0.ebuild
+++ b/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-4.2.0.ebuild
@@ -3,41 +3,43 @@
EAPI=7
-inherit cmake kodi-addon
+inherit kodi-addon
DESCRIPTION="Waveform visualizer for Kodi"
HOMEPAGE="https://github.com/xbmc/visualization.waveform"
-SRC_URI=""
+KODI_PLUGIN_NAME="visualization.waveform"
case ${PV} in
9999)
SRC_URI=""
- EGIT_REPO_URI="https://github.com/xbmc/visualization.waveform.git"
+ EGIT_REPO_URI="https://github.com/xbmc/${KODI_PLUGIN_NAME}.git"
inherit git-r3
+ DEPEND="~media-tv/kodi-9999"
;;
*)
CODENAME="Matrix"
KEYWORDS="~amd64 ~x86"
- SRC_URI="https://github.com/xbmc/visualization.waveform/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/visualization.waveform-${PV}-${CODENAME}"
+ SRC_URI="https://github.com/xbmc/${KODI_PLUGIN_NAME}/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${KODI_PLUGIN_NAME}-${PV}-${CODENAME}"
+ DEPEND="=media-tv/kodi-19*:="
;;
esac
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
SLOT="0"
IUSE=""
-DEPEND="
- =media-tv/kodi-19*
+DEPEND+="
+ >=media-libs/glm-0.9.9.8-r1
virtual/opengl
- media-libs/glm
"
-RDEPEND="
- ${DEPEND}
- "
+RDEPEND="${DEPEND}"
+
+BDEPEND="virtual/pkgconfig"
src_prepare() {
- [ -d depends ] && rm -rf depends || die
+ if [ -d depends ]; then rm -rf depends || die; fi
+
cmake_src_prepare
}
diff --git a/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-9999.ebuild b/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-9999.ebuild
index afd68022c36..55c275ff5f4 100644
--- a/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-9999.ebuild
+++ b/media-plugins/kodi-visualization-waveform/kodi-visualization-waveform-9999.ebuild
@@ -3,41 +3,43 @@
EAPI=7
-inherit cmake kodi-addon
+inherit kodi-addon
DESCRIPTION="Waveform visualizer for Kodi"
HOMEPAGE="https://github.com/xbmc/visualization.waveform"
-SRC_URI=""
+KODI_PLUGIN_NAME="visualization.waveform"
case ${PV} in
9999)
SRC_URI=""
- EGIT_REPO_URI="https://github.com/xbmc/visualization.waveform.git"
+ EGIT_REPO_URI="https://github.com/xbmc/${KODI_PLUGIN_NAME}.git"
inherit git-r3
+ DEPEND="~media-tv/kodi-9999"
;;
*)
CODENAME="Matrix"
KEYWORDS="~amd64 ~x86"
- SRC_URI="https://github.com/xbmc/visualization.waveform/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/visualization.waveform-${PV}-${CODENAME}"
+ SRC_URI="https://github.com/xbmc/${KODI_PLUGIN_NAME}/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${KODI_PLUGIN_NAME}-${PV}-${CODENAME}"
+ DEPEND="=media-tv/kodi-19*:="
;;
esac
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
SLOT="0"
IUSE=""
-DEPEND="
- ~media-tv/kodi-9999
+DEPEND+="
+ >=media-libs/glm-0.9.9.8-r1
virtual/opengl
- media-libs/glm
"
-RDEPEND="
- ${DEPEND}
- "
+RDEPEND="${DEPEND}"
+
+BDEPEND="virtual/pkgconfig"
src_prepare() {
- [ -d depends ] && rm -rf depends || die
+ if [ -d depends ]; then rm -rf depends || die; fi
+
cmake_src_prepare
}
diff --git a/media-plugins/kodi-visualization-waveform/metadata.xml b/media-plugins/kodi-visualization-waveform/metadata.xml
index 039bae43825..657e7feffd0 100644
--- a/media-plugins/kodi-visualization-waveform/metadata.xml
+++ b/media-plugins/kodi-visualization-waveform/metadata.xml
@@ -5,7 +5,6 @@
<email>candrews@gentoo.org</email>
<name>Craig Andrews</name>
</maintainer>
- <longdescription>Waveform visualizer for Kodi</longdescription>
<upstream>
<remote-id type="github">xbmc/visualization.waveform</remote-id>
</upstream>
next reply other threads:[~2020-08-13 20:51 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-13 20:50 Craig Andrews [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-14 20:12 [gentoo-commits] repo/gentoo:master commit in: media-plugins/kodi-visualization-waveform/ Andreas Sturmlechner
2023-06-01 16:03 Arthur Zamarin
2021-09-05 18:36 Craig Andrews
2021-07-18 0:32 Craig Andrews
2020-09-16 21:56 Craig Andrews
2020-09-09 16:52 Craig Andrews
2020-08-24 13:46 Craig Andrews
2020-07-29 18:11 Craig Andrews
2019-11-03 13:54 Craig Andrews
2019-10-08 22:15 Craig Andrews
2019-09-25 20:39 Craig Andrews
2019-09-05 17:30 Craig Andrews
2019-08-26 21:12 Craig Andrews
2018-11-29 20:03 Craig Andrews
2018-11-06 16:02 Craig Andrews
2017-07-30 12:13 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1597351841.d7a9bcbbf6220c94b21b7933b97acc53771a7346.candrews@gentoo \
--to=candrews@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox